<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Api Language Lines
    |--------------------------------------------------------------------------
    */
    'SUCCESS' => 'success',
    'FAIL' => 'fail',
    'UPLOAD_SUCCESS' => 'upload success',
    'REQUESTS_TOO_FREQUENTLY' => 'requests too frequently',
    'NOT_LOGIN' => 'not login',
    'NOT_EXIST' => 'not exist',
    'PARAMS_ERROR' => 'params error',
    'SAVE_ERROR' => 'save error',
    'FEED_NOT_EXIST' => 'feed not exist',
    'COMMENT_NOT_EXIST' => 'comment not exist',
    'USER_NOT_EXIST' => 'user not exist',
    'CONTENT_NOT_NULL' => 'content not null',
    'WECHAT_CONFIG_LACK' => 'wechat config lack',
    'GET_OPENID_FALSE' => 'get openid false',
    'REGISTER_FALSE' => 'register false',
    'REGISTER_CONFIRM_FALSE' => 'register confirm false',
    'DATA_SAVE_FALSE' => 'data save false',
    'MODULE_IS_NOT_USE' => 'module is not use',
    'CONFIGURE_SMS_TEMPLATE' => 'please configure sms template',
    'SMS_AUTH_FAILED' => 'sms auth failed',
    'SMS_RETURN_ERROR' => 'sms return error',
    'NEED_CONFIGURE' => 'need configure',
    'USER_IN_BLACK_LIST' => 'user in black list',
    'USER_NO_AUTH' => 'user no auth',
    'DATA_DECODE_FAILURE' => 'data decode failure',
    'MOBILE_CODE_FALSE' => 'please get the verification code first',
    'VERIFY_CODE_FALSE' => 'verify code false',
    'MOBILE_HAD_EXIST' => 'the phone number is already in use！',
    'MOBILE_NO_REGISTER' => 'phone number is not registered',
    'PASSWORD_ERROR' => 'password error',
    'EMAIL_NO_BIND'  => 'email not bind',
    'MOBILE_NO_BIND' => 'mobile not bind',
    'USER_HAD_JOIN'  => 'user had join',
    'PASSWORD_NOT_SET'  => 'password not set',
    'APPLY_ADD_FRIEND'  => 'apply add friend',
    'ALREADY_FRIEND'  => 'already friend',
    'OPPOSITE_ACCOUNT_ERROR'  => 'opposite account error',
    'ADD_FRIEND_ERROR'  => 'add friend error',
    'NOT_ON_YOUR_BLACKLIST'  => 'not on your blacklist',
    'YOU_CANT_BLACK_YOURSELF'  => 'you cant black yourself',
    'GROUP_CHAT_DOES_NOT_EXIST'  => 'group chat does not exist',
    'GROUP_NAME_NOT_NULL'  => 'group name not null',
    'TENCENT_IM_USER_ID_NULL'  => 'tencent_im_user_id is null',
    'UNAUTHORIZED_OPERATION'  => 'unauthorized operation',

    'ATTACHMENT_UPLOAD_INVALID'=>'file upload invalid',
    'ATTACHMENT_SAVE_ERROR'=>'file save error',
    'ATTACHMENT_MAKE_FOLDER_ERROR'=>'make folder error',
    'ATTACHMENT_TYPE_ERROR'=>'file type error',
    'ATTACHMENT_SIZE_EXCEEDED'=>'file size exceeded',
    'ATTACHMENT_FILE_NULL'=>'file not null',

    'PLEASE_ENTER_MOBILE_PHONE_NUMBER'=>'Please enter your mobile phone number',
    'MOBILE_PHONE_NUMBER_FORMAT_ERROR'=>'Mobile phone number format error',
    'VERIFICATION_CODE_NOT_NULL'=>'Verification code must be',
    'TYPE_NOT_NULL'=>'Type not null',
    'PASSWORD_NOT_NULL'=>'Password not null',
    'KEY_NOT_NULL'=>'key not null',
    'PLEASE_ENTER_EMAIL'=>'Please enter email',
    'MAILBOX_FORMAT_ERROR'=>'Mailbox format error',
    'VERIFICATION_CODE_ERROR'=>'Verification code error',
    'MAILBOX_VALIDATION_NOTIFICATION'=>'Mailbox validation notification',
    'VERIFICATION_CODE_THIS_TIME'=>'Your registration verification code this time is',
    'VALID_FOR_5_MINUTES'=>'valid for 5 minutes',
];
